
package de.ivu.elect.presentation.ergebnis.menu;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class WasErgebnisPageMenu extends ErgebnisPageMenu {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WasErgebnisMenuBuilder wasErgebnisMenuBuilder;

  public WasErgebnisPageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>(super.getMenuEntriesSorted());

    result.addAll(wasErgebnisMenuBuilder.getMenuEntries());

    return result;
  }
}
